LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdb::SQLFilterOperator Constant Group Reference

These constants are used to specify the filter operator which should be applied when creating a filter with the method XSingleSelectQueryComposer::setStructuredFilter(). More...

## Variables
const long | EQUAL = 1
| equal to More...
const long | NOT_EQUAL = 2
| not equal to More...
const long | LESS = 3
| less than More...
const long | GREATER = 4
| greater than More...
const long | LESS_EQUAL = 5
| less or equal than More...
const long | GREATER_EQUAL = 6
| greater or equal than More...
const long | LIKE = 7
| like More...
const long | NOT_LIKE = 8
| not like More...
const long | SQLNULL = 9
| is null More...
const long | NOT_SQLNULL = 10
| is not null More...

## Detailed Description

These constants are used to specify the filter operator which should be applied when creating a filter with the method XSingleSelectQueryComposer::setStructuredFilter().

See also
  com::sun::star::sdb::SingleSelectQueryComposer
  com::sun::star::sdb::XSingleSelectQueryComposer

## Variable Documentation

## ◆ EQUAL

const long EQUAL = 1

equal to

## ◆ GREATER

const long GREATER = 4

greater than

## ◆ GREATER_EQUAL

const long GREATER_EQUAL = 6

greater or equal than

## ◆ LESS

const long LESS = 3

less than

## ◆ LESS_EQUAL

const long LESS_EQUAL = 5

less or equal than

## ◆ LIKE

const long LIKE = 7

like

## ◆ NOT_EQUAL

const long NOT_EQUAL = 2

not equal to

## ◆ NOT_LIKE

const long NOT_LIKE = 8

not like

## ◆ NOT_SQLNULL

const long NOT_SQLNULL = 10

is not null

## ◆ SQLNULL

const long SQLNULL = 9

is null